Skip site navigation (1) Skip section navigation (2)

Re: Upgrade 7.0.3 -> 7.1.3 problems!

From: David Link <dlink(at)soundscan(dot)com>
To: "pgsql-general(at)postgresql(dot)org" <pgsql-general(at)postgresql(dot)org>
Subject: Re: Upgrade 7.0.3 -> 7.1.3 problems!
Date: 2002-01-29 20:32:27
Message-ID: 3C5706DB.6E505C46@soundscan.com (view raw or flat)
Thread:
Lists: pgsql-general
> > > psql: error while loading shared libraries: psql: undefined symbol:
> > > PQgetssl
> >
> > This looks like psql was compiled with SSL support and libpq wasn't.
> > Are you sure you installed a complete set of compatible RPMs?  I'd
> > say one or the other file wasn't updated.
> 
> What's a complete set?  What I thought all I needed was:
>  postgresql-7.1.3-1PGDG.i686.rpm
>  postgresql-perl-7.1.3-1PGDG.i686.rpm
>  postgresql-server-7.1.3-1PGDG.i686.rpm
> 
> Do I need more?
> 

You are right! I installed all the packages on
http://www.ca.postgresql.org/ftpsite/binary/v7.1.3/RPMS/mandrake-8.0/,
(the libs package I guess was the problem) and I have got 7.1.3 up and
running. 
(And we've got outer joins!!!)

I can't thank you enough.  This is the best supported database
available.!

Sincerely, David Link, White Plains, NY

In response to

pgsql-general by date

Next:From: Gregory WoodDate: 2002-01-29 20:45:04
Subject: pg_dump/PgAdmin problem?
Previous:From: Tom LaneDate: 2002-01-29 20:27:28
Subject: Re: Upgrade 7.0.3 -> 7.1.3 problems!

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group